#include <iostream>
using namespace std;
int main()
{ 
    long long int v;
    cin>>v;
    
    int b[]={0,1,1,2,2,1,2,2,3,3};
    
    
    int rez=0;
    while(v>0)
    {
           rez+=b[v%10];
           v/=10;   
    }
    cout<<rez;
    return 0;
}